Bug 434478 - libopenraw failed massrebuild attempt for GCC 4.3
libopenraw failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libopenraw (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Danielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:15 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 02:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:36 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446755
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:47:31 EST
i386 build failed

g++ -DHAVE_CONFIG_H -I. -I.. -I../include -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -Wextra -ansi
-pedantic -g -Wall -Wshadow -MT ljpegdecompressor.lo -MD -MP -MF
.deps/ljpegdecompressor.Tpo -c ljpegdecompressor.cpp  -fPIC -DPIC -o
.libs/ljpegdecompressor.o
 g++ -DHAVE_CONFIG_H -I. -I.. -I../include -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -Wextra -ansi
-pedantic -g -Wall -Wshadow -MT crwdecompressor.lo -MD -MP -MF
.deps/crwdecompressor.Tpo -c crwdecompressor.cpp  -fPIC -DPIC -o
.libs/crwdecompressor.o
crwdecompressor.cpp: In member function 'void
OpenRaw::Internals::CrwDecompressor::make_decoder(OpenRaw::Internals::CrwDecompressor::decode_t*,
const uint8_t*, int)':
crwdecompressor.cpp:119: warning: suggest explicit braces to avoid ambiguous 'else'
crwdecompressor.cpp: In member function 'void
OpenRaw::Internals::CrwDecompressor::init_tables(uint32_t)':
crwdecompressor.cpp:194: error: 'memset' was not declared in this scope
crwdecompressor.cpp: In member function 'virtual OpenRaw::RawData*
OpenRaw::Internals::CrwDecompressor::decompress(OpenRaw::RawData*)':
crwdecompressor.cpp:281: error: 'memset' was not declared in this scope
crwdecompressor.cpp:323: error: 'memcpy' was not declared in this scope
make[3]: *** [crwdecompressor.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/ljpegdecompressor.Tpo .deps/ljpegdecompressor.Plo
make[3]: Leaving directory `/builddir/build/BUILD/libopenraw-0.0.4/lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/libopenraw-0.0.4/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/libopenraw-0.0.4'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.23119 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.23119 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target i386 --nodeps
//builddir/build/SPECS/libopenraw.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target i386 --nodeps
//builddir/build/SPECS/libopenraw.spec'
LEAVE do --> EXCEPTION RAISED

Comment 2 Trond Danielsen 2008-03-04 02:42:44 EST
Updated libopenraw to 0.0.5, and this version builds on all architectures.
http://koji.fedoraproject.org/koji/buildinfo?buildID=41155

Note You need to log in before you can comment on or make changes to this bug.